libflatzebra-dev_0.1.6-4_i386.deb


Advertisement

Description

libflatzebra-dev - Generic Game Engine library development files

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename libflatzebra-dev_0.1.6-4_i386.deb
Package name libflatzebra-dev
Package version 0.1.6
Package release 4
Package architecture i386
Package type deb
Category devel::lang:c++ devel::library implemented-in::c++ libdevel role::devel-lib
Homepage http://sarrazip.com/dev/burgerspace.html
License -
Maintainer Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Download size 16.30 KB
Installed size 83.00 KB
flatzebra is a simple, generic C++ game engine library supporting 2D
double-buffering.
Install this package if you wish to compile programs which use
libflatzebra.

Alternatives

Package Version Architecture Repository
libflatzebra-dev_0.1.6-4_amd64.deb 0.1.6 amd64 Debian Main
libflatzebra-dev - - -

Requires

Name Value
libflatzebra-0.1-2v5 = 0.1.6-4

Conflicts

Name Value
libgengameng-dev -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libflatzebra-dev_0.1.6-4_i386.deb
Source Package flatzebra

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libflatzebra-dev deb package:
    # sudo apt-get install libflatzebra-dev

Files

Path
/usr/include/flatzebra/Couple.h
/usr/include/flatzebra/GameEngine.h
/usr/include/flatzebra/Joystick.h
/usr/include/flatzebra/KeyState.h
/usr/include/flatzebra/PixmapArray.h
/usr/include/flatzebra/PixmapLoadError.h
/usr/include/flatzebra/RCouple.h
/usr/include/flatzebra/RSprite.h
/usr/include/flatzebra/SoundMixer.h
/usr/include/flatzebra/Sprite.h
/usr/lib/i386-linux-gnu/libflatzebra-0.1.so
/usr/lib/i386-linux-gnu/pkgconfig/flatzebra-0.1.pc
/usr/share/doc/libflatzebra-dev/changelog.Debian.gz
/usr/share/doc/libflatzebra-dev/changelog.gz
/usr/share/doc/libflatzebra-dev/copyright

Changelog

2015-10-30 - Markus Koschany <apo@debian.org>
flatzebra (0.1.6-4) unstable; urgency=medium
* Declare compliance with Debian Policy 3.9.6.
* Switch Vcs-Browser field to cgit and use https.
* Update copyright years.
* debian/rules: No longer export DH_OPTIONS.
* Update my e-mail address.
2015-08-07 - Simon McVittie <smcv@debian.org>
flatzebra (0.1.6-3) unstable; urgency=medium
* Team upload
* C++ ABI transition: rename libflatzebra-0.1-2 to libflatzebra-0.1-2v5
(starts transition for: #791035)
2013-01-22 - Markus Koschany <apo@gambaru.de>
flatzebra (0.1.6-2) unstable; urgency=low
* Remove libflatzebra-0.1-2.symbols and go back to using shlibs instead.
2012-12-20 - Markus Koschany <apo@gambaru.de>
flatzebra (0.1.6-1) unstable; urgency=low
* [bde9c69] Imported Upstream version 0.1.6.
* [e682fbb] Use dh to simplify debian/rules.
* [70066c4] Bump Standards-Version to 3.9.4.
* debian/control:
- Bump compat level to 9 and require debhelper >=9.
- Add myself to Uploaders.
- Replace build-dependency on autotools_dev with dh-autoreconf.
- Remove chrpath from build-depends. The library rpath works anyway.
- Change priority from extra to optional.
* debian/rules:
- Build with --parallel and autoreconf.
- Build with hardening=+all.
* [ffd0fee] Add libflatzebra .install files.
* [ce43b50] Add Multiarch support.
* [91e418e] Revise package description which was interchanged.
* [eff0ce6] Add Multi-Arch: same.
* [df7f75a] Remove *.dirs files, we don't need them.
* [5d7a532] Update debian/copyright to copyright format 1.0.
2011-05-23 - Felix Geyer <debfx-pkg@fobos.de>
flatzebra (0.1.5-4) unstable; urgency=low
* Team upload.
* debian/rules: don't install la-file to dev package. (Closes: #620878)
Thanks to Andreas Moog for the patch.
2011-03-12 - Francois Marier <francois@debian.org>
flatzebra (0.1.5-3) unstable; urgency=low
* Remove myself from uploaders
2010-12-22 - Francois Marier <francois@debian.org>
flatzebra (0.1.5-2) unstable; urgency=low
* Bump Standards-Version up to 3.9.1
* Bump debhelper compatibility to 8
2010-05-17 - Francois Marier <francois@debian.org>
flatzebra (0.1.5-1) unstable; urgency=low
* New upstream release
2010-04-01 - Francois Marier <francois@debian.org>
flatzebra (0.1.4-1) unstable; urgency=low
* New upstream release
2010-02-16 - Francois Marier <francois@debian.org>
flatzebra (0.1.3-2) unstable; urgency=low
* Bump Standards-Version to 3.8.4
* Add dependency on ${misc:Depends} for the dev package
* Switch to 3.0 (quilt) source package format
* Link to the right version of the GPL (v2) in debian/copyright

See Also

Package Description
libflexdock-java-demo_1.2.4-1_all.deb Swing Java docking framework - demos and examples
libflexdock-java-doc_1.2.4-1_all.deb Swing Java docking framework - demos and examples
libflexdock-java_1.2.4-1_all.deb Swing Java docking framework
libflext-pd0_0.6.0+git20161101.1.01318a94-2_i386.deb Flext C++ external layer for Pd
libflickcurl-dev_1.26-2+deb9u1_i386.deb C library for accessing the Flickr API - development files
libflickcurl0_1.26-2+deb9u1_i386.deb C library for accessing the Flickr API
libflickr-api-perl_1.28-1_all.deb Perl interface to the Flickr API
libflickr-upload-perl_1.60-1_all.deb module for uploading images to flickr.com
libflightcrew-dev_0.7.2+dfsg-9_all.deb C++ library development filesfor epub validation
libflightcrew0v5_0.7.2+dfsg-9_i386.deb C++ library for epub validation
libflint-2.5.2_2.5.2-15_i386.deb C library for number theory, shared library
libflint-arb-dev_2.8.1-3_i386.deb C library for arbitrary-precision ball arithmetic, dev. files
libflint-arb-doc_2.8.1-3_all.deb C library for arbitrary-precision ball arithmetic, documentation
libflint-arb1_2.8.1-3_i386.deb C library for arbitrary-precision ball arithmetic, shared library
libflint-dev_2.5.2-15_i386.deb C library for number theory, development files
Advertisement
Advertisement